## RS485

### 硬件连接

RS485 接口有2条线`A  B `

| EdgeBoard设备A | EdgeBoard设备B 或其他Can接口的设备 |
| -------------- | ---------------------------------- |
| A              | A                                  |
| B              | B                                  |

### 准备工作

1. 查询是否安装了 `pyserial`

   ```sh
   edgeboard-191:# python3
   Python 3.5.6 (default, Dec  6 2019, 06:58:55)
   [GCC 8.2.0] on linux
   Type "help", "copyright", "credits" or "license" for more information.
   >>> import serial
   >>>
   ```

2. 如果没有安装，则执行如下命令安装

```
pip3 install pyserial
```

### 使用说明

RS485 接口的Demo 基于`pyserial`包，

Demo介绍如下，`pyserial`的使用详细说明见 [pyserial](https://pyserial.readthedocs.io/en/latest/shortintro.html)

`send.py` : 发送字符串 `Hello World\n`

`recv.py` : 循环阻塞接收一行数据并打印

参数说明：

​	-p ： 设备节点的名字 

​	-b :    波特率，默认是115200

​	-en ： RS485 发送与接收的使能引脚

| 设备 | 设备节点的名字 | 接收与发送使能引脚号 |
| ---- | -------------- | -------------------- |
| FZ3A | /dev/ttyS2     | gpio419              |
| FZ3B | /dev/ttyS2     | gpio419              |
| FZ5C | /dev/ttyPS2    | gpio350              |
| FZ5D | /dev/ttyPS2    | gpio350              |
| FZ9D | /dev/ttyS2     | gpio413              |

**example**

`FZ9D` 发送  :       `python3 send.py -p /dev/ttyS2 -en 413`

`FZ5D`  接收:       `python3 recv.py -p /dev/ttyPS2 -en 350`



