""" 
    GPIO basic operation
"""

import os
import sys
import time
from pathlib import Path

def gpio_ctrl(en_port, high_or_low): 
    """ Set GPIO out mode, and out level 
    Args: 
        en_port: port number,for example gpio350
        high_or_low: 0,high  1,low
    Returns:
        None
    Raises:
        None
    """
    port_path = "/sys/class/gpio/gpio{0}".format(en_port)
    port_direction_path = "{0}/direction".format(port_path)
    port_value_path = "{0}/value".format(port_path)
    # enable gpio port
    if Path(port_path).is_dir() is False:
        os.system("echo {0} > /sys/class/gpio/export".format(en_port))

    # check enable success
    if Path(port_path).is_dir() is False:
        print("Error: Enable Port {0} Faield.".format(en_port))
        sys.exit()
    # gpio set out mode
    f = open(port_direction_path)
    out_mode_str = f.readline()
    if out_mode_str != "out\n":
        os.system("echo out > {0}".format(port_direction_path))
    f.close

    f = open(port_value_path)
    out_level_str = f.readline()
    if out_level_str != "{0}\n".format(high_or_low):
         os.system("echo {0} > {1}".format(high_or_low, port_value_path))  # set high or low
    f.close

def send_en(en_port): 
    """ Set GPIO High Level,Enable Rs485 Send Mode 
    Args: 
        en_port: port number,for example gpio350
    Returns:
        None
    Raises:
        None
    """
    gpio_ctrl(en_port, 1)


def recv_en(en_port): 
    """ Set GPIO Low Level,Enable Rs485 Recv Mode 
    Args: 
        en_port: port number,for example gpio350
    Returns:
        None
    Raises:
        None
    """
    gpio_ctrl(en_port, 0)
