
# Ref: https://pyserial.readthedocs.io/en/latest/shortintro.html
import gpio
import serial
import argparse

# args parse
parser = argparse.ArgumentParser(description='manual to serial param')
parser.add_argument("-p", type=str, default="/dev/ttyPS2",
                    help='Device Node,for example default value: /dev/ttyPS2')
parser.add_argument("-b", type=int, default=115200,
                    help='Baud Rate,for example default value: 115200')
# FZ5C/5D gpio350  #FZ9D gpio413
parser.add_argument("-en", type=int, default=350,
                    help='RS485 Enable GPIO,for example default value: 350')

args = parser.parse_args()
print("Input Param is ---> Port:{0} BaudRate:{1} bps .".format(args.p, args.b))

# param init
timex = None
bps = args.b
portx = args.p
en_port = args.en

# serial init
ser = serial.Serial(portx, bps, timeout=timex)

# enable recv
gpio.recv_en(en_port)

# wait recv
count = 0
while 1:
    print(" =========  Wait Recv Data =========")
    recv_data = ser.readline()
    print("[{0} - Recv data ]:{1} \n\n".format(count, recv_data))
    count = count + 1
