"""
Ref: https://pyserial.readthedocs.io/en/latest/shortintro.html
"""
import os
import time
import gpio
import serial
import argparse

# args parse
parser = argparse.ArgumentParser(description='manual to serial param')
parser.add_argument("-p", type=str, default="/dev/ttyPS2", 
                    help='Device Node,for example default value: /dev/ttyPS2')
parser.add_argument("-b", type=int, default=115200, 
                    help='Baud Rate,for example default value: 115200')
# FZ5C/5D gpio350  #FZ9D gpio413
parser.add_argument("-en", type=int, default=350, 
                    help='RS485 Enable GPIO,for example default value: 350')


args = parser.parse_args()
print("Input Param is ---> Port:{0} BaudRate:{1} bps EnPort:{2}.".format(args.p, args.b, args.en))

# param init
timex = None
bps = args.b
portx = args.p
en_port = args.en

# serial init
ser = serial.Serial(portx, bps, timeout=timex)

# enable send
gpio.send_en(en_port)

# send data
demo_data = "Hello World.\n"
result = ser.write(demo_data.encode())
print("\n Send data: {0}".format(demo_data))

# check send is ok
if len(demo_data) == result: 
    print("\n \nSend OK !!!!!")
else: 
    print("\n \nSend Failed !!!!!")
